<?php
add_action( 'bomo_after_main_css', 'sidebar_style' );
function sidebar_style() {
    wp_enqueue_style( 'bomo-secondary', get_theme_file_uri('/modules/sidebar/assets/css/sidebar.css'), false, BOMO_THEME_VERSION, 'all');
}

if( !function_exists( 'bomo_get_primary_classes' ) ) {
	function bomo_get_primary_classes() {
		return apply_filters( 'bomo_primary_classes', 'content-full-width' );
	}
}

if( !function_exists( 'bomo_get_secondary_classes' ) ) {
	function bomo_get_secondary_classes() {
		return apply_filters( 'bomo_secondary_classes', '' );
	}
}

if( !function_exists( 'bomo_get_active_sidebars' ) ) {
	function bomo_get_active_sidebars() {
		return apply_filters( '_thme_name_active_sidebars', [ 'name' => esc_html__( 'Sidebar', 'bomo' ), 'id' => 'sidebar-1'] );
	}
}

add_action( 'widgets_init', 'bomo_theme_sidebars' );
function bomo_theme_sidebars() {
	$sidebars = apply_filters( '_thme_name_active_sidebars', [ 'name' => esc_html__( 'Sidebar', 'bomo' ), 'id' => 'sidebar-1'] );

	if( !empty( $sidebars ) ){
		register_sidebar( $sidebars );
	}
}

$active_sidebars = bomo_get_active_sidebars();
foreach( $active_sidebars as $active_sidebar ) {
	if( is_active_sidebar( $active_sidebar ) ) {
		add_filter( 'bomo_primary_classes', function() { return 'page-with-sidebar with-right-sidebar'; } );
		add_filter( 'bomo_secondary_classes', function() { return 'secondary-sidebar secondary-has-right-sidebar'; } );
	}
}