<?php
use DTElementor\Widgets\DTElementorWidgetBase;
use Elementor\Controls_Manager;
use Elementor\Utils;

class Elementor_AudioWave extends DTElementorWidgetBase {

    public function get_name() {
        return 'dt-audio-wave';
    }

    public function get_title() {
        return __('Audio Wave', 'designthemes-theme');
    }

    public function get_icon() {
		return 'fa fa-headphones';
	}

    public function get_script_depends() {
        return array( 'wavesurfer', 'dt-wavesurfer' );
    }

    protected function register_controls() {

        $this->start_controls_section( 'dt_section_general', array(
            'label' => __( 'General', 'designthemes-theme'),
        ) );

            $this->add_control( 'audio_link', array(
                'type'        => Controls_Manager::TEXT,
                'label'       => __('Audio Link', 'designthemes-theme'),
                'default'     => 'https://cdn.shopify.com/s/files/1/0335/8841/2549/files/demo.wav',
				'description' => __('Put the audio link from anywhere (.wav format recommended).', 'designthemes-theme'),
            ) );

            $this->add_control( 'play_button', array(
                'type'        => Controls_Manager::TEXT,
                'label'       => __('Play Button', 'designthemes-theme'),
                'default'     => __('Play', 'designthemes-theme'),
                'description' => __('Put the title of play button.', 'designthemes-theme'),
            ) );

            $this->add_control( 'pause_button', array(
                'type'        => Controls_Manager::TEXT,
                'label'       => __('Pause Button', 'designthemes-theme'),
                'default'     => __('Pause', 'designthemes-theme'),
                'description' => __('Put the title of pause button.', 'designthemes-theme'),
            ) );

            $this->add_control( 'wave_color', array(
                'type'        => Controls_Manager::COLOR,
                'label'       => __('Wave Color', 'designthemes-theme'),
                'default'     => '#e64379'
            ) );

            $this->add_control( 'progress_color', array(
                'type'        => Controls_Manager::COLOR,
                'label'       => __('Progress Color', 'designthemes-theme'),
                'default'     => '#ef5350'
            ) );

            $this->add_control( 'cursor_color', array(
                'type'        => Controls_Manager::COLOR,
                'label'       => __('Cursor Color', 'designthemes-theme'),
                'default'     => '#ef5350'
            ) );

            $this->add_control( 'class', array(
                'type'        => Controls_Manager::TEXT,
                'label'       => __('Extra class name', 'designthemes-theme'),
                'description' => __('Style particular element differently - add a class name and refer to it in custom CSS', 'designthemes-theme')
            ) );

        $this->end_controls_section();

    }

    protected function render() {

        $settings = $this->get_settings_for_display();

        extract($settings);

        echo '<div id="waveform" data-link="'.$audio_link.'" data-wcolor="'.$wave_color.'" data-pcolor="'.$progress_color.'" data-ccolor="'.$cursor_color.'" class="'.$class.'">';
            echo '<div class="progress progress-striped active" id="progress-bar">';
                echo '<div class="progress-bar progress-bar-info"></div>';
            echo '</div>';
            echo '<!-- Here be the waveform -->';
        echo '</div>';

        echo '<div class="controls">';
            echo '<button class="dt-sc-button" data-action="play">'.$play_button.' | '.$pause_button.'</button>';
        echo '</div>';
	}

    protected function _content_template() {
    }
}