<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if( !class_exists( 'DesignThemesAudioWaveWidget' ) ) {
    class DesignThemesAudioWaveWidget {

        private static $_instance = null;

        public static function instance() {
            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }

            return self::$_instance;
        }

        function __construct() {
            add_action( 'elementor/widgets/widgets_registered', array( $this, 'register_widgets' ) );
            add_action( 'elementor/frontend/after_register_scripts', array( $this, 'register_widget_scripts' ) );
        }

        function register_widgets( $widgets_manager ) {
            require DT_THEME_DIR_PATH. 'modules/others/elementor/widgets/audio-wave/class-widget-audio-wave.php';
            $widgets_manager->register_widget_type( new \Elementor_AudioWave() );
        }

        function register_widget_scripts() {
            wp_register_script( 'wavesurfer',
                DT_THEME_DIR_URL . 'modules/others/elementor/widgets/assets/js/wavesurfer.js', array( 'jquery' ), DT_THEME_VERSION, true );
            wp_register_script( 'dt-wavesurfer',
                DT_THEME_DIR_URL . 'modules/others/elementor/widgets/assets/js/dt-wavesurfer.js', array(), DT_THEME_VERSION, true );
        }
    }
}

DesignThemesAudioWaveWidget::instance();